Subject: Re: [PATCH net-next v4 0/3] netpoll: add IPv6 support

From: Cong Wang <[email-masked]>
Date: Tue, 08 Jan 2013 11:55:51 +0800

On Mon, 2013-01-07 at 19:46 -0800, David Miller wrote:
> From: Cong Wang <[email-masked]>
> Date: Mon,  7 Jan 2013 15:17:13 +0800
> 
> > v4: remove ndisc_parse_options(), ignore ICMP options there
> >     make udp6_csum_init() inline so that we don't rely on IPV6=y
> >     fix a conflict with Jiri's patchset
> 
> Where did I say to inline this function?
> 
> I said to put it into a seperate static library that gets
> linked into the kernel statically, regardless of whether
> IPV6 is 'm' or 'y'.
> 
> I've said this _3_ times and I'm really starting to get
> frustrated with the fact that you can't seem to read what
> I write.
> 
> What part of the "obj-y +=" rules in net/ipv6/Makefile
> are you unable to see?

I knew.

Our goal is to make it work for IPV6=m, so why inline is not a solution
while putting it into a static library is? udp6_csum_init() is not a big
function, so I see no reason why it can't be inlined.

And AFAIK, udp6_csum_init() can't fit into any of these obj-y files in
net/ipv6/.

Am I still missing anything?

Thanks.